com.fasterxml.jackson.dataformat.avro.schema

## Class ArrayVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base
  - - com.fasterxml.jackson.dataformat.avro.schema.ArrayVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, SchemaBuilder

      public class ArrayVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base
      implements SchemaBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.avro.Schema` | `_elementSchema`
    `protected DefinedSchemas` | `_schemas`
    `protected com.fasterxml.jackson.databind.JavaType` | `_type`

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base

      `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayVisitor(com.fasterxml.jackson.databind.SerializerProvider p, com.fasterxml.jackson.databind.JavaType type, DefinedSchemas schemas)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.avro.Schema` | `builtAvroSchema()`
    `void` | `itemsFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatTypes type)`
    `void` | `itemsFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable visitable, com.fasterxml.jackson.databind.JavaType type)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base

      `getProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _type

          protected final com.fasterxml.jackson.databind.JavaType _type

    - #### _schemas

          protected final DefinedSchemas _schemas

    - #### _elementSchema

          protected org.apache.avro.Schema _elementSchema

  - ### Constructor Detail

    - #### ArrayVisitor

          public ArrayVisitor(com.fasterxml.jackson.databind.SerializerProvider p,
                      com.fasterxml.jackson.databind.JavaType type,
                      DefinedSchemas schemas)

  - ### Method Detail

    - #### builtAvroSchema

          public org.apache.avro.Schema builtAvroSchema()

      Specified by:
        `builtAvroSchema` in interface `SchemaBuilder`

    - #### itemsFormat

          public void itemsFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable visitable,
                         com.fasterxml.jackson.databind.JavaType type)
                           throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `itemsFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor`
      Overrides:
        `itemsFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### itemsFormat

          public void itemsFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatTypes type)
                           throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `itemsFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor`
      Overrides:
        `itemsFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2016 FasterXML. All rights reserved.